#
# Copyright 2016-2017, whitestar
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

name 'docker'
description 'Docker Engine'

run_list(
  'role[docker-new-repo]',
)

#env_run_lists

default_attributes(
)

override_attributes(
  'docker-grid' => {
    'engine' => {
      'version' => '',  # latest
      #'userns-remap' => 'default',
      'daemon_extra_options' => [
        '-H fd://',
        #'-H fd:// --bip=192.168.100.1/24 --fixed-cidr=192.168.100.0/24',
        # for docker >= 1.10, docker-engine >= 1.12 (on rhel family)
        # '-H fd://' option automatically removed by this cookbook.
        # See https://github.com/docker/docker/issues/22847
      ].join(' '), 
    },
  },
)
